- Home
- API Enriched
- Sites
- config
- DELETE Virtual Kubernetes.
DELETE Virtual Kubernetes.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/virtual_k8ss/example';const options = { method: 'DELETE', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"fail_if_referred":true,"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/virtual_k8ss/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "fail_if_referred": true, "name": "example", "namespace": "example" }'DELETE the specified virtual_k8s.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace in which the configuration object is present.
Name Name of the configuration object.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘DELETE’ RPC.
object
Fail the DELETE operation if this object is being referred by other objects.
Name of the configuration object.
Namespace in which the configuration object is present.
Examplegenerated
{ "fail_if_referred": true, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Examplegenerated
exampleReturned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example